SReview::Schedule::Multi(3pm)

NAME
SReview::Schedule::Multi - system to duplicate event parsing into a main and a shadow one.

SYNOPSIS
  $schedule_format = "multi";
  $schedule_options = { url => "http://...", base_type => "penta", base_options => {},
      shadows => [{ talk_prefix => "Video for talk '", talk_suffix => "'",
                    event_prefix => "Videos for event '", event_suffix => "'", talk_opts => {} }]};

DESCRIPTION
SReview::Schedule::Multi is a schedule parser for sreview-import that creates "shadow" events based on a base event. This can be used when multiple events are required in SReview for an upstream event (e.g., one for preprocessing, and one for postprocessing).

OPTIONS
SReview::Schedule::Multi takes the following options:

  base_type
The type of the parser of the base event. Must be another "SReview::Schedule::" parser. Required.

  base_options
Any options, other than the "url" option, to be passed to the base parser to configure it. Optional.

  url
The URL of the schedule. Passed on, unmodified, to the base parser.

  shadows
An array of hashes, one for each shadow event that is to be created.

Each hash can have the following options:

event_prefix

A string that will be prepended to the event's name.

event_suffix

A string that will be appended to the event's name.

talk_prefix

A string that will be prepended to each and every talk's title.

talk_suffix

A string that will be appended to each and every talk's title.

talk_opts

Extra properties to be sent to the SReview::Schedule::<base_type>::Talk object at creation time. This can be used to override certain properties of the talk, e.g., the flags.

SEE ALSO
SReview::Schedule::Penta, SReview::Schedule::Wafer